export type Maybe<T> = Just<T> | Nothing;
export type Just<T> = {
    value: T;
};
export type Nothing = {
    kind: "NOTHING";
};
export declare const nothing: Nothing;
export declare function fromJust<T>(v: Just<T>): T;
export declare function toJust<T>(v: T): Just<T>;
