import { AmountWithUnitA, LimitAble } from "./TypeUtils";
export type CSSLengthSpec = AmountWithUnitA<CSSLengthUnit>;
export declare function to_CSS_string(len: CSSLengthSpec): string;
/**
TODO: move SizingInfoForList (but maybe not it's constituents) to ListViewComponent
TODO: add | ElemSizing to SizingInfoForList
ElemSizing = {
  kind: "ElemSize"
  height: CSSLengthSpec; // really, it's the font size that's interesting, no?
                         // (and the line height, and the padding, and the margin...)
  width: CSSLengthSpec
}*/
export type BoxSize = {
    kind: "BoxSize";
    height: CSSLengthSpec;
    width: CSSLengthSpec;
};
export type ElemLimit = LimitAble<BigInt> & {
    kind: "ElemLimit";
};
export type ItemPositioningStrat = (typeof itemPositioningStrats)[number];
export declare const itemPositioningStrats: readonly ["start", "center", "end", "space-between", "space-around"];
export type CSSLengthUnit = (typeof cssLengthUnits)[number];
export declare const cssLengthUnits: readonly ["px", "rem", "em", "vh", "vw"];
