# Niki Herl's TypeScript Utilities
This is the readme for `nhl-ts_utils`'s public repository.

To get one important thing out of the way:
## May I use TS_Utils?
No, as of this time, I do not permit any (re-)use, modification, or redistribution of TS_Utils. See the neighbouring 'LICENSE' file for details. 
Though you wouldn't want to do it anyway, as much of the code is incomplete and/or experimental.

Still, as this is publically readable on NPM, you may as well have some information about the project.

## What is being built here?
In this repository, I'm collecting all the TypeScript utilities and experiments I build. This includes:
- math and array utilities
- data structures (in particular, I've had a fascination with trees)
- type utilities
- (CSS-)styling-related types and utilities

## Who is building it?
Me, Niki Herl, computer science BSc student at TU Wien. Check out my personal website [nikiherl.com](https://nikiherl.com).

## Building and uploading the library to npm
(the package.json scripts assume npm uses a unix-style shell - e.g. git bash. See <https://stackoverflow.com/a/46006249/4602253> for how to change that)
``` sh
npm run build  # clears the lib folder and compiles the JS/TS files
npm run bump   # bumps the minor version number in package.json via `npm version patch`
npm publish
```
